# Created by pyp2rpm-3.3.2
%global pypi_name django-contrib-comments

Name:           python-%{pypi_name}
Version:        1.9.2
Release:        %mkrel 2
Summary:        The code formerly known as django.contrib.comments
Group:          Development/Python
License:        BSD
URL:            https://github.com/django/django-contrib-comments
Source0:        https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(asgiref)
BuildRequires:  python3dist(django) >= 1.11
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
Django used to include a comments framework; since Django 1.6 it's been
separated to a separate project. This is that project.

This framework can be used to attach comments to any model, so you can
use it for comments on blog entries, photos, book chapters, or anything
else.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(django)

%description -n python3-%{pypi_name}
Django used to include a comments framework; since Django 1.6 it's been
separated to a separate project. This is that project.

This framework can be used to attach comments to any model, so you can
use it for comments on blog entries, photos, book chapters, or anything
else.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

# generate html docs
PYTHONPATH=${PWD} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%doc html
%{python3_sitelib}/django_comments
%{python3_sitelib}/django_contrib_comments-%{version}-py?.?.egg-info


%changelog
* Sun Dec 13 2020 guillomovitch <guillomovitch> 1.9.2-2.mga8
+ Revision: 1656450
- fix build dependencies

* Thu Sep 17 2020 guillomovitch <guillomovitch> 1.9.2-1.mga8
+ Revision: 1627456
- new version 1.9.2

* Sun Feb 16 2020 umeabot <umeabot> 1.9.1-3.mga8
+ Revision: 1535093
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 1.9.1-2.mga8
+ Revision: 1451531
- rebuild with python 3.8

* Thu Aug 22 2019 wally <wally> 1.9.1-1.mga8
+ Revision: 1431256
- imported package python-django-contrib-comments

